# Define the kmod package name here.
%define kmod_name wch

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-279.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 1.0.0.0
Release: 0%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.kernel.org/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
Source0:  %{kmod_name}-%{version}.tar.bz2
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh

# Patches.
Patch1: elrepo-%{kmod_name}-%{version}.patch

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel module(s) for MCS9865 I/O PCI cards.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -c -T -a 0 -n %{kmod_name}-%{version}
pushd %{kmod_name}-%{version}
%patch1 -p1
popd
# echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf
%{__cp} -a %{SOURCE5} .

%build
KSRC=%{_usrsrc}/kernels/%{kversion}
pushd %{kmod_name}-%{version}
    %{__make} -C "${KSRC}" %{?_smp_mflags} modules M=$PWD
popd

%install
%{__rm} -rf %{buildroot}
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=extra/%{kmod_name}
KSRC=%{_usrsrc}/kernels/%{kversion}
pushd %{kmod_name}-%{version}
%{__make} -C "${KSRC}" modules_install M=$PWD
# %{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
# %{__install} ../kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} ../GPL-v2.0.txt %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
#    %{__install} MCS9865_Linux_UM_Ver1.1.pdf ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
#    %{__install} mcs9865_isa_installation ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
popd

# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;

%clean
%{__rm} -rf %{buildroot}

%changelog
* Sun Sep 30 2012 Akemi Yagi <toracat@elrepo.org> - 1.0.0.0-0
- Initial el6 build.

* Mon Sep 17 2012 Maksim Gefke <ds_shadof@quickpay.ru> - 1.0.0.0-0
- Initial el5 build for elrepo.

